# Interface ReadableStreamDefaultReader<R>

#### Type Parameters

- #### R = any

#### Hierarchy

- ReadableStreamGenericReader
  - ReadableStreamDefaultReader

#####
Index

### Properties

closed

### Methods

cancel
read
releaseLock

## Properties

### `Readonly` closed

closed: Promise<undefined>

Inherited from ReadableStreamGenericReader.closed

## Methods

### cancel

- cancel(reason?): Promise<void>

- #### Parameters

  - ##### `Optional` reason: any

  #### Returns Promise<void>

  Inherited from ReadableStreamGenericReader.cancel

### read

- read(): Promise<ReadableStreamDefaultReadResult<R>>

- #### Returns Promise<ReadableStreamDefaultReadResult<R>>

### releaseLock

- releaseLock(): void

- #### Returns void

Generated using TypeDoc